#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - util-linux preinstallation
#
# Creation   :  2010-11-06 holbru
# Last update:  $Id: preinstall-util-linux.sh 39576 2015-11-20 19:06:38Z hbfl $
#
# Copyright (c) 2010-2015 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=util-linux


# ---------------------------------------------------------------------------
# update-2.6.5
# ---------------------------------------------------------------------------
update_2_6_5()
{

if [ -f /lib/libuuid.so.1.3.0 ]
then

    cd /

    name='util-linux'
    old_version='2.23.1'

    _module="usr/bin/wall
usr/bin/setsid
usr/bin/findmnt
usr/bin/look
usr/bin/namei
usr/bin/eject
usr/bin/utmpdump
usr/bin/write
usr/bin/ipcmk
usr/bin/hexdump
usr/bin/script
usr/bin/taskset
usr/bin/fallocate
usr/bin/logger
usr/bin/setterm
usr/bin/flock
usr/bin/pg
usr/bin/dmesg
usr/bin/tailf
usr/bin/getopt
usr/bin/more
usr/bin/col
usr/bin/chrt
usr/bin/renice
usr/bin/uuidgen
usr/bin/ipcs
usr/bin/i386
usr/bin/linux32
usr/bin/linux64
usr/bin/lsblk
usr/bin/rename
usr/bin/umount
usr/bin/cal
usr/bin/colrm
usr/bin/scriptreplay
usr/bin/wdctl
usr/bin/mcookie
usr/bin/lslocks
usr/bin/setarch
usr/bin/column
usr/bin/ionice
usr/bin/cytune
usr/bin/mount
usr/bin/kill
usr/bin/isosize
usr/bin/ul
usr/bin/unshare
usr/bin/colcrt
usr/bin/ipcrm
usr/bin/whereis
usr/bin/mountpoint
usr/bin/lscpu
usr/bin/rev
usr/sbin/losetup
usr/sbin/readprofile
usr/sbin/raw
usr/sbin/fdisk
usr/sbin/switch_root
usr/sbin/fdformat
usr/sbin/fstrim
usr/sbin/blockdev
usr/sbin/fsfreeze
usr/sbin/ldattach
usr/sbin/cfdisk
usr/sbin/mkswap
usr/sbin/blkid
usr/sbin/ctrlaltdel
usr/sbin/pivot_root
usr/sbin/swaplabel
usr/sbin/agetty
usr/sbin/uuidd
usr/sbin/mkfs
usr/sbin/resizepart
usr/sbin/addpart
usr/sbin/swapon
usr/sbin/blkdiscard
usr/sbin/mkfs.bfs
usr/sbin/wipefs
usr/sbin/chcpu
usr/sbin/partx
usr/sbin/fsck.minix
usr/sbin/mkfs.minix
usr/sbin/hwclock
usr/sbin/swapoff
usr/sbin/rtcwake
usr/sbin/fsck
usr/sbin/findfs
usr/sbin/sfdisk
usr/sbin/delpart
usr/sbin/mkfs.cramfs
usr/sbin/fsck.cramfs
usr/share/getopt/getopt-parse.bash
usr/share/getopt/getopt-parse.tcsh
usr/share/bash-completion/completions/wall
usr/share/bash-completion/completions/setsid
usr/share/bash-completion/completions/losetup
usr/share/bash-completion/completions/readprofile
usr/share/bash-completion/completions/findmnt
usr/share/bash-completion/completions/look
usr/share/bash-completion/completions/raw
usr/share/bash-completion/completions/fdisk
usr/share/bash-completion/completions/namei
usr/share/bash-completion/completions/eject
usr/share/bash-completion/completions/fdformat
usr/share/bash-completion/completions/utmpdump
usr/share/bash-completion/completions/fstrim
usr/share/bash-completion/completions/write
usr/share/bash-completion/completions/hexdump
usr/share/bash-completion/completions/script
usr/share/bash-completion/completions/taskset
usr/share/bash-completion/completions/fallocate
usr/share/bash-completion/completions/logger
usr/share/bash-completion/completions/setterm
usr/share/bash-completion/completions/flock
usr/share/bash-completion/completions/blockdev
usr/share/bash-completion/completions/fsfreeze
usr/share/bash-completion/completions/ldattach
usr/share/bash-completion/completions/pg
usr/share/bash-completion/completions/dmesg
usr/share/bash-completion/completions/tailf
usr/share/bash-completion/completions/cfdisk
usr/share/bash-completion/completions/mkswap
usr/share/bash-completion/completions/blkid
usr/share/bash-completion/completions/getopt
usr/share/bash-completion/completions/more
usr/share/bash-completion/completions/col
usr/share/bash-completion/completions/chrt
usr/share/bash-completion/completions/renice
usr/share/bash-completion/completions/uuidgen
usr/share/bash-completion/completions/ctrlaltdel
usr/share/bash-completion/completions/ipcs
usr/share/bash-completion/completions/pivot_root
usr/share/bash-completion/completions/swaplabel
usr/share/bash-completion/completions/uuidd
usr/share/bash-completion/completions/mkfs
usr/share/bash-completion/completions/resizepart
usr/share/bash-completion/completions/lsblk
usr/share/bash-completion/completions/rename
usr/share/bash-completion/completions/cal
usr/share/bash-completion/completions/colrm
usr/share/bash-completion/completions/scriptreplay
usr/share/bash-completion/completions/addpart
usr/share/bash-completion/completions/swapon
usr/share/bash-completion/completions/wdctl
usr/share/bash-completion/completions/blkdiscard
usr/share/bash-completion/completions/mkfs.bfs
usr/share/bash-completion/completions/wipefs
usr/share/bash-completion/completions/chcpu
usr/share/bash-completion/completions/mcookie
usr/share/bash-completion/completions/lslocks
usr/share/bash-completion/completions/partx
usr/share/bash-completion/completions/fsck.minix
usr/share/bash-completion/completions/setarch
usr/share/bash-completion/completions/mkfs.minix
usr/share/bash-completion/completions/column
usr/share/bash-completion/completions/hwclock
usr/share/bash-completion/completions/ionice
usr/share/bash-completion/completions/cytune
usr/share/bash-completion/completions/rtcwake
usr/share/bash-completion/completions/fsck
usr/share/bash-completion/completions/prlimit
usr/share/bash-completion/completions/isosize
usr/share/bash-completion/completions/sfdisk
usr/share/bash-completion/completions/ul
usr/share/bash-completion/completions/delpart
usr/share/bash-completion/completions/unshare
usr/share/bash-completion/completions/colcrt
usr/share/bash-completion/completions/ipcrm
usr/share/bash-completion/completions/whereis
usr/share/bash-completion/completions/mkfs.cramfs
usr/share/bash-completion/completions/fsck.cramfs
usr/share/bash-completion/completions/mountpoint
usr/share/bash-completion/completions/lscpu
usr/share/bash-completion/completions/rev
usr/share/locale/fr/LC_MESSAGES/util-linux.mo
usr/share/locale/de/LC_MESSAGES/util-linux.mo
lib/libmount.so.1
lib/libuuid.so.1
lib/libblkid.so.1
lib/libmount.so.1.1.0
lib/libuuid.so.1.3.0
lib/libblkid.so.1.1.0
bin/dmesg
bin/findmnt
bin/kill
bin/lsblk
bin/more
bin/mount
bin/mountpoint
bin/umount
bin/wdctl
sbin/agetty
sbin/blkdiscard
sbin/blkid
sbin/blockdev
sbin/cfdisk
sbin/chcpu
sbin/ctrlaltdel
sbin/fdisk
sbin/findfs
sbin/fsck
sbin/fsck.cramfs
sbin/fsck.minix
sbin/fsfreeze
sbin/fstrim
sbin/hwclock
sbin/losetup
sbin/mkfs
sbin/mkfs.bfs
sbin/mkfs.cramfs
sbin/mkfs.minix
sbin/mkswap
sbin/pivot_root
sbin/raw
sbin/sfdisk
sbin/swaplabel
sbin/swapoff
sbin/swapon
sbin/switch_root
sbin/wipefs"

    for _mname in ${_module}
    do
        if [ -f "/${_mname}" ]
        then
            echo ${_mname} >> tmp/${name}-${old_version}-files.txt
        fi
    done

    if [ -s /tmp/${name}-${old_version}-files.txt ]
    then
        tar -r -f /root/old-${name}-${old_version}.tar -T /tmp/${name}-${old_version}-files.txt

        xz /root/old-${name}-${old_version}.tar

        rm -f /tmp/${name}-${old_version}-files.txt
    fi

    for _mname in ${_module}
    do
        if [ -f "/${_mname}" ]
        then
            rm -f /${_mname} 
        fi
    done  
fi



f_module='addpart                                                                                                                                                                             
blkdiscard                                                                                                                                                                          
blkid                                                                                                                                                                               
blockdev                                                                                                                                                                            
cal                                                                                                                                                                                 
cfdisk                                                                                                                                                                              
chcpu                                                                                                                                                                               
chfn                                                                                                                                                                                
chrt                                                                                                                                                                                
chsh                                                                                                                                                                                
col                                                                                                                                                                                 
colcrt                                                                                                                                                                              
colrm                                                                                                                                                                               
column                                                                                                                                                                              
ctrlaltdel                                                                                                                                                                          
delpart                                                                                                                                                                             
dmesg                                                                                                                                                                               
eject                                                                                                                                                                               
fallocate                                                                                                                                                                           
fdformat                                                                                                                                                                            
fdisk                                                                                                                                                                               
findmnt                                                                                                                                                                             
flock                                                                                                                                                                               
fsck                                                                                                                                                                                
fsck.cramfs                                                                                                                                                                         
fsck.minix                                                                                                                                                                          
fsfreeze                                                                                                                                                                            
fstrim                                                                                                                                                                              
getopt                                                                                                                                                                              
hexdump                                                                                                                                                                             
hwclock                                                                                                                                                                             
ionice                                                                                                                                                                              
ipcrm                                                                                                                                                                               
ipcs                                                                                                                                                                                
isosize                                                                                                                                                                             
last                                                                                                                                                                                
ldattach
logger
look
losetup
lsblk
lscpu
lslocks
mcookie
mesg
mkfs
mkfs.bfs
mkfs.cramfs
mkfs.minix
mkswap
more
mountpoint
namei
newgrp
nsenter
partx
pg
pivot_root
prlimit
raw
readprofile
rename
renice
resizepart
rev
rtcwake
script
scriptreplay
setarch
setpriv
setsid
setterm
sfdisk
swaplabel
swapon
tailf
taskset
tunelp
ul
unshare
utmpdump
uuidd
uuidgen
wall
wdctl
whereis
wipefs
write
zramctl'

for f_name in ${f_module}
do 
    rm -f /usr/share/bash-completion/${f_name}
done

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
